<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDreamInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dream_info', function (Blueprint $table) {
            $table->increments('id')->comment('id');
            $table->string('dream',20)->comment('梦想名称');
            $table->text('about')->comment('梦想介绍');
            $table->integer('money')->default(0)->comment('所需梦想币');
            $table->integer('time')->default(0)->comment('梦想倒计时');
            $table->integer('get_money')->default(0)->comment('获得梦想币');
            $table->integer('mark')->default(0)->comment('梦想分');
            $table->tinyInteger('status')->default(0)->comment('梦想状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dream_info');
    }
}
